Packages - Bug #3376

[zeitgeist-explorer]: PyGlWarning: Gtk was imported without specifying a version first
2022-11-24 03:09 PM - maddox

Status: forwarded upstream % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Just run the command on shell:

$ zeitgeist-explorer
/usr/bin/zeitgeist-explorer:22: PyGIWarning: Gtk was imported without specifying a version first.
Use gi.require_version('Gtk', '4.0') before import to ensure that the right version gets loaded.
from gi.repository import Gtk
Traceback (most recent call last):
File "/usr/bin/zeitgeist-explorer", line 25, in <module>
from zgexplorer.window import ExplorerMainWindow
File "/usr/lib/python3.10/site-packages/zgexplorer/window.py", line 26, in <module>
from zgexplorer.monitorviewer import MonitorViewer
File "/usr/lib/python3.10/site-packages/zgexplorer/monitorviewer.py", line 27, in <module>
from zgexplorer.eventwidgets import EventDetailsViewer, EventsTreeView, EventsViewer
File "/usr/lib/python3.10/site-packages/zgexplorer/eventwidgets.py", line 36, in <module>
class EventsViewer (Gtk.VBox) :
File "/usr/lib/python3.10/site-packages/gi/overrides/__init___.py", line 32, in __getattr_
return getattr (self._introspection_module, name)
File "/usr/lib/python3.10/site-packages/gi/module.py", line 123, in _ getattr_
raise AttributeError ("$r object has no attribute %$r" % (
AttributeError: 'gi.repository.Gtk' object has no attribute 'VBox'

History

#1 - 2022-12-12 04:02 PM - bill-auger
- Status changed from unconfirmed to confirmed
- Description updated

- Subject changed from /usr/bin/zeitgeist-explorer:22: PyGlWarning: Gtk was imported without specifying a version first to [zeitgeist-explorer':
PyGlIWarning: Gtk was imported without specifying a version first

#2 - 2022-12-12 04:13 PM - bill-auger

- Status changed from confirmed to forwarded upstream

apparently, this has been known upstream since over a year'; but has gotten no attention/progress
although there is a trivial patch offered?, claiming to fix the bug

[1]: https://bugs.archlinux.org/task/71248
[2]: hitps://bugs.archlinux.org/task/71248?getfile=20408

i suppose that for next step, someone should try that patch

#3 - 2022-12-19 10:37 PM - bill-auger
- Assignee set to bill-auger

- Subject changed from [zeitgeist-explorer': PyGIWarning: Gtk was imported without specifying a version first to [zeitgeist-explorer]: PyGIWarning: Gtk
was imported without specifying a version first

there is a patched 'zeitgeist-explorer' in [libre-testing] now - could ppl try it ?

# pacman -U https://repo.parabola.nu/pool/parabola/zeitgeist-explorer—0.2-11.parabolal-any.pkg.tar.zst

#4 - 2022-12-21 04:55 PM - bill-auger

$ grep zeitgeist blacklist.txt
https://bugs.archlinux.org/task/71248
https://bugs.archlinux.org/task/71248?getfile=20408

zeitgeist—-explorer:zeitgeist—-explorer:parabola:3376: [technical] fix neglected upstream bug (arch #71248)

#5 - 2022-12-24 11:09 PM - bill-auger

moved to [libre]

#6 - 2022-12-29 10:45 PM - anonymous

tested, without error
